# badtaste

> Terminal player with filesystem, [google music](https://play.google.com/music/) and [vk.com](http://vk.com/) support

[![asciicast](https://asciinema.org/a/1proyy66zkdnjtbu3rslixdsz.png??theme=solarized-dark)](https://asciinema.org/a/1proyy66zkdnjtbu3rslixdsz)

### Features

- VK: Add tracks to your profile, or move it on top of list if already added

- VK: Add links to your favorite communities, wall posts, friend's audio and playlists to have fast access

- Google Music: Add links to your favorite albums

- Filesystem: Add links to your favorite albums

### Controls

- `f` local search
- `space` play/stop
- `left` and `right` - focus left or right pane

- `d` select playing track
- `g` move to the beginning of list
- `G` move to the end of list
- `q` exit

### VK

- `x` add track to vk.com profile audio

## Install

```
$ npm install -g badtaste
```

### Linux prerequisites

```
$ sudo apt-get install libasound2-dev
```

## Usage

```
$ badtaste # press '?' inside to get help
```

## Related

- [mu-player](https://www.npmjs.com/package/mu-player) - Play audio from vk.com and soundcloud.com via mpd (fork of badtaste)

- [vknplayer](https://www.npmjs.com/package/vknplayer) - Console audio player for listen music from vk.com and on-line radio

- [djesbe](https://www.npmjs.com/package/djesbe) - A terminal based audio player

- [nodeplayer](https://www.npmjs.com/package/nodeplayer) - Simple, modular ([google music](https://www.npmjs.com/package/nodeplayer-backend-gmusic), [youtube](https://www.npmjs.com/package/nodeplayer-backend-youtube), [spotify](https://www.npmjs.com/package/nodeplayer-backend-spotify), [fs](https://www.npmjs.com/package/nodeplayer-backend-file)) music player written in node.js

- [gmplayer](https://www.npmjs.com/package/gmplayer) - A CLI music player using Google Play Music as a source

- [yplayer](https://www.npmjs.com/package/yplayer) - Listen to/watch youtube videos from the CLI!

## License

MIT © [ewnd9](http://ewnd9.com)
